# s3printlog

Generates a report as pdf from a Scienion S3 print log folder.

The following packages are required and can be installed via ``pip install -r requirements.txt``

    black
    pandas
    matplotlib < 3.1
    seaborn
    reportlab
    openpyxl
    pyinstaller

To build the app use the following command:

``pyinstaller --onefile -i images\program_icon.ico "S3 Print Log Report.spec"``

To have it working on the computer attached to the S3 printer, you need to use a 32 bit python version 3.7

Hint: If pyinstaller throws a "TypeError", you might need to replace a file due to a bug in pyinstaller.
 - [stackoverflow question on this][1]
 - [fixed file on github][2]
 
[1]: https://stackoverflow.com/questions/54138898/an-error-for-generating-an-exe-file-using-pyinstaller-typeerror-expected-str
[2]: https://github.com/Loran425/pyinstaller/commit/14b6e65642e4b07a4358bab278019a48dedf7460
